# $Revision: 1.73 $, $Date: 2010/05/22 21:03:43 $
# TODO:
# - wpa_gui can be built with qt4 - bcond?
# - icon for wpa_gui
# - reverse madwifi bcond when appropriate packages will be available on ftp
#	/ as of madwifi-ng > r1499 and kernel > 2.6.14 wext driver could be
#	used instead of madwifi - so madwifi bcond will become obsolete soon /
#
# Conditional build
%bcond_without	dbus		# don't build D-BUS control interface
%bcond_without	gui		# don't build gui
%bcond_with	madwifi		# with madwifi support
#
# sync archlist with madwifi.spec
%ifnarch %{x8664} arm %{ix86} mips ppc xscale
%undefine	with_madwifi
%endif
#
Summary:	Linux WPA/WPA2/RSN/IEEE 802.1X supplicant
Summary(pl.UTF-8):	Suplikant WPA/WPA2/RSN/IEEE 802.1X dla Linuksa
Name:		wpa_supplicant
Version:	0.7.2
Release:	2
License:	GPL v2
Group:		Networking
Source0:	http://hostap.epitest.fi/releases/%{name}-%{version}.tar.gz
# Source0-md5:	0e2cb7e4c35667351d8b7ec28c783e6a
Source1:	%{name}.config
Source2:	%{name}-wpa_gui.desktop
Source3:	%{name}-dbus.service
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-OPTCFLAGS.patch
URL:		http://hostap.epitest.fi/wpa_supplicant/
%{?with_dbus:BuildRequires:	dbus-devel}
BuildRequires:	libnl-devel
%{?with_madwifi:BuildRequires:	madwifi-devel}
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
%if %{with gui}
BuildRequires:	QtGui-devel
BuildRequires:	qt-linguist
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
%endif
BuildRequires:	readline-devel
Requires:	rc-scripts >= 0.4.1.24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
wpa_supplicant is a WPA Supplicant with support for WPA and WPA2 (IEEE
802.11i / RSN). Supplicant is the IEEE 802.1X/WPA component that is
used in the client stations. It implements key negotiation with a WPA
Authenticator and it controls the roaming and IEEE 802.11
authentication/association of the wlan driver.

wpa_supplicant is designed to be a "daemon" program that runs in the
background and acts as the backend component controlling the wireless
connection. Support for separate frontend programs is included and an
example text-based frontend, wpa_cli, is included with wpa_supplicant.

Supported WPA/IEEE 802.11i features:
- WPA-PSK ("WPA-Personal")
- WPA with EAP (e.g., with RADIUS authentication server)
  ("WPA-Enterprise") (currently, EAP-TLS and EAP-PEAP/MSCHAPv2 are
  supported with an integrated IEEE 802.1X Supplicant; other EAP types
  may be used with an external program, Xsupplicant)
- key management for CCMP, TKIP, WEP104, WEP40
- RSN/WPA2 (IEEE 802.11i)

%description -l pl.UTF-8
wpa_supplicant to suplikant WPA z obsługą WPA oraz WPA2 (IEEE 802.11i
/ RSN). Suplikant to element IEEE 802.1X/WPA używany na stacjach
klienckich. Implementuje negocjację kluczy z elementem
uwierzytelniającym WPA (WPA Authenticator) i kontroluje roaming oraz
uwierzytelnianie/kojarzenie sterownika wlan zgodnie z IEEE 802.11.

wpa_supplicant jest zaprojektowany tak, by był wspólnym programem
działającym w tle i działa jako element backendu sterujący połączeniem
bezprzewodowym. Dostępna jest obsługa oddzielnych programów
frontendowych, a w pakiecie wpa_supplicant załączony jest prosty
frontend tekstowy - wpa_cli.

Obsługiwane możliwości WPA/IEEE 802.11i:
- WPA-PSK ("WPA-Personal")
- WPA z EAP (np. z serwerem uwierzytleniającym RADIUS)
  ("WPA-Enterprise") (aktualnie EAP-TLS i EAP-PEAP/MSCHAPv2 są
  obsługiwane przez załączonego suplikanta IEEE 802.1X; inne rodzaje EAP
  mogą być używane przez zewnętrzny program - Xsupplicant)
- zarządzanie kluczy dla CCMP, TKIP, WEP104, WEP40
- RSN/WPA2 (IEEE 802.11i)

%package -n wpa_gui
Summary:	Linux WPA/WPA2/RSN/IEEE 802.1X supplicant GUI
Summary(pl.UTF-8):	Graficzny interfejs suplikanta WPA/WPA2/RSN/IEEE 802.1X dla Linuksa
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description -n wpa_gui
Linux WPA/WPA2/RSN/IEEE 802.1X supplicant GUI.

%description -n wpa_gui -l pl.UTF-8
Graficzny interfejs suplikanta WPA/WPA2/RSN/IEEE 802.1X dla Linuksa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

install %{SOURCE1} wpa_supplicant/.config

%if %{with dbus}
echo 'CONFIG_CTRL_IFACE_DBUS=y' >> wpa_supplicant/.config
%endif

%if %{with madwifi}
echo 'CONFIG_DRIVER_MADWIFI=y' >> wpa_supplicant/.config
%endif

%build
%{__make} -C wpa_supplicant \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	OPTCFLAGS="%{rpmcppflags} %{rpmcflags}"

# eapol_test:
%{__make} -C wpa_supplicant eapol_test \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	OPTCFLAGS="%{rpmcppflags} %{rpmcflags}"

%if %{with gui}
cd wpa_supplicant/wpa_gui-qt4
qmake-qt4 -o Makefile wpa_gui.pro
cd ../..
%{__make} -C wpa_supplicant wpa_gui-qt4 \
	QTDIR=%{_libdir}/qt4 \
	UIC=%{_bindir}/uic-qt4 \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	LDFLAGS="%{rpmldflags}" \
	OPTCFLAGS="%{rpmcppflags} %{rpmcflags}"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man{5,8},%{_bindir},%{_desktopdir},/var/run/%{name}}

%{__make} -C wpa_supplicant install \
	BINDIR=%{_sbindir} \
	DESTDIR=$RPM_BUILD_ROOT

install wpa_supplicant/doc/docbook/*.5 $RPM_BUILD_ROOT%{_mandir}/man5
install wpa_supplicant/doc/docbook/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

%if %{with dbus}
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/dbus-1/system.d,%{_datadir}/dbus-1/system-services}
install wpa_supplicant/dbus/dbus-wpa_supplicant.conf $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d/wpa_supplicant.conf
install %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service
%endif

%if %{with gui}
install wpa_supplicant/wpa_gui-qt4/wpa_gui $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}/wpa_gui.desktop
%endif

install wpa_supplicant/eapol_test $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc wpa_supplicant/{ChangeLog,README,eap_testing.txt,todo.txt}
%doc wpa_supplicant/{*wpa_supplicant.conf,examples}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/eapol_test
%attr(750,root,root) %ghost %dir /var/run/%{name}
%{_mandir}/man[58]/*
%if %{with dbus}
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/wpa_supplicant.conf
%{_datadir}/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service
%endif

%if %{with gui}
%files -n wpa_gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wpa_gui
%{_desktopdir}/wpa_gui.desktop
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wpa_supplicant.spec,v $
Revision 1.73  2010/05/22 21:03:43  sparky
- BR: libnl-devel, qt-linguist (probably should require qt4 version, but
  doesn't like it)
- dropped BR: Qt3Support-devel

Revision 1.72  2010/05/12 14:16:57  baggins
- rel 2
- more desktop categories

Revision 1.71  2010/05/08 21:45:25  blues
- 0.7.2

Revision 1.70  2010/04/11 06:29:36  arekm
- release 3

Revision 1.69  2010/02/22 09:18:35  arekm
- rel 2; update config

Revision 1.68  2010/02/22 08:49:39  arekm
- up to 0.7.1; drop dscape support (seems obsolete now; if not - correct me)

Revision 1.67  2009/03/23 21:52:16  arvenil
- up to 0.6.9

Revision 1.66  2009/03/22 13:37:04  arekm
- up to 0.6.8

Revision 1.65  2009/02/23 22:09:07  arekm
- release 2

Revision 1.64  2009/01/07 11:43:11  blues
- 0.6.7

Revision 1.63  2008/12/07 13:14:44  arekm
- up to 0.6.6

Revision 1.62  2008/11/24 18:12:11  sls
- ghost /var/lib/wpa_supplicant directory (it's created/removed by
  wpa_supplicant daemon)

Revision 1.61  2008/11/18 22:50:57  arekm
- up to 0.6.5

Revision 1.60  2008/11/18 21:20:41  sls
- BR: pkgconfig

Revision 1.59  2008/10/31 14:33:31  blues
- cleanups - patch is applied

Revision 1.58  2008/10/24 14:37:27  blues
- rel.3

Revision 1.57  2008/10/24 14:19:09  blues
- build and install eapol_test

Revision 1.56  2008/10/17 11:16:24  arekm
- up to 0.6.4

Revision 1.55  2008/08/29 17:27:28  glen
- make gui dep .PHONY (-makefile.patch); rel 3

Revision 1.54  2008/08/29 16:52:09  glen
- revert trash from wrong branch

Revision 1.48  2008/08/29 16:14:56  glen
- BR: qt4-qmake

Revision 1.47  2008/07/17 20:52:59  shadzik
- R: rc-scripts >= 0.4.1.24

Revision 1.46  2008/06/26 21:54:08  arekm
- up to 0.6.3; switch gui to qt4 version

Revision 1.45  2008-04-15 13:47:01  glen
- include wpa_supplicant configs in %doc for reference; rel 3

Revision 1.44  2007-12-17 22:20:54  glen
- rel 2

Revision 1.43  2007-11-30 10:05:07  arekm
- up to 0.6.1

Revision 1.42  2007-11-21 17:25:18  megabajt
- added bconded dbus control interface
- fix dbus interface permissions (dbus-permissions-fix.patch)
- release 2

Revision 1.41  2007-07-14 15:36:04  arekm
- up to 0.6.0

Revision 1.40  2007/06/03 17:23:46  areq
- 0.5.8

Revision 1.39  2007/02/19 16:40:12  arekm
- rel 2

Revision 1.38  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.37  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.36  2007/01/08 08:56:02  rotom
- up to 0.5.7

Revision 1.35  2006/10/10 14:16:19  mguevara
- todo update about wext driver support of madwifi/atheros hardware

Revision 1.34  2006/09/02 20:46:21  matkor
- Autoupdate to 0.5.5-1.

Revision 1.33  2006/08/03 19:34:11  sparky
- seds 2 patches, OPT renamed to OPTCFLAGS

Revision 1.32  2006/08/02 23:41:29  sparky
- pass %{rpmldflags}

Revision 1.31  2006/08/01 02:08:25  sparky
- up to 0.5.4

Revision 1.30  2006/05/10 17:08:02  adamg
- removed init.d/sysconfig files - didn't know that rc-scripts have builtin
  support for wpa_supplicant

Revision 1.29  2006/05/10 10:05:38  adamg
- include sysconfig and init files
- cosmetics, adapterized
- release 2

Revision 1.28  2006/04/22 15:46:11  dzeus
- up to 0.5.2

Revision 1.27  2006/02/27 14:02:01  rotom
- up to 0.5.1

Revision 1.26  2006/02/22 14:38:59  freetz
- 0.4.8

Revision 1.25  2006/01/28 23:10:28  areq
- use __cxx

Revision 1.24  2006/01/23 10:54:30  qboosh
- no need to bcond preamble

Revision 1.23  2006/01/22 11:55:21  blues
- add directory for wpa_supplicant status

Revision 1.22  2006/01/22 03:18:18  agaran
- make gui package conditional, rel unchanged == 3.

Revision 1.21  2006/01/10 15:17:26  tommat
- BR: qt-devel

Revision 1.20  2005/12/20 21:08:45  arekm
- enable dscape device

Revision 1.19  2005/12/16 22:33:54  qboosh
- pl desc for wpa_gui

Revision 1.18  2005/12/16 21:57:54  blues
- release 2

Revision 1.17  2005/12/16 21:57:31  blues
- desktop added

Revision 1.16  2005/12/16 21:43:56  blues
- enable building of wpa_gui; reverse madwifi bcond, should be enabled when
  madwifi will be on ftp...

Revision 1.15  2005/11/22 15:07:57  domelu
- up to 0.4.7, madwifi works

Revision 1.14  2005/11/22 14:36:59  freetz
- 0.4.6, madwifi not tested

Revision 1.13  2005/11/06 22:23:37  tommat
- typo in bcond
- rel 4 for rebuild with madwifi support, STBR

Revision 1.12  2005/10/08 12:57:40  arekm
- rel 3

Revision 1.11  2005/10/04 19:25:48  qboosh
- bcond header

Revision 1.10  2005/10/04 18:22:11  arekm
- madwifi bcond

Revision 1.9  2005/10/02 15:48:40  arekm
- add docs; rel 2

Revision 1.8  2005/10/02 15:42:36  arekm
- up to 0.4.5; optflags done; rc-scripts todo dropped from here; no need to separate cli

Revision 1.7  2005/09/03 18:03:46  areq
- 0.4.4

Revision 1.6  2005/07/14 19:39:09  tommat
- use madwifi-devel to build
- rel 0.2

Revision 1.5  2005/07/14 15:15:57  tommat
- version 0.4.3
- enabled madwifi support

Revision 1.4  2005/06/18 12:21:16  areq
- new stable 0.3.9

Revision 1.3  2005/04/13 19:39:12  qboosh
- pl desc (whatever it means)

Revision 1.2  2005/04/09 19:36:38  domelu
- more en desc

Revision 1.1  2005/04/07 20:19:35  freetz
- initial
